summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/test-generic.sh
diff options
context:
space:
mode:
authorSimo Sorce <idra@samba.org>2005-07-12 12:04:54 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:20:13 -0500
commitc9b0e86a436b5b169a4c33bd25eac379cb622b17 (patch)
tree7b3662e7b11aa57a7624e46b369858262dc1bfae /source4/lib/ldb/tests/test-generic.sh
parentadb7fd18e5e58bc466bdd31d68423e5f958a1d5d (diff)
downloadsamba-c9b0e86a436b5b169a4c33bd25eac379cb622b17.tar.gz
samba-c9b0e86a436b5b169a4c33bd25eac379cb622b17.tar.bz2
samba-c9b0e86a436b5b169a4c33bd25eac379cb622b17.zip
r8373: New wildcard matching code.
This code applies correct ldap standard wildcard matching code removes WILDCARD matching from tdb @ATTRIBUTES, that's now handled independently adds some more tests for wildcard matching fixes dn comparison code in ldb_match (This used to be commit 4eb5863042011988d85092d7dde3d809aa15bd59)
Diffstat (limited to 'source4/lib/ldb/tests/test-generic.sh')
-rwxr-xr-xsource4/lib/ldb/tests/test-generic.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/source4/lib/ldb/tests/test-generic.sh b/source4/lib/ldb/tests/test-generic.sh
index db6377d078..3ad17fe9d3 100755
--- a/source4/lib/ldb/tests/test-generic.sh
+++ b/source4/lib/ldb/tests/test-generic.sh
@@ -45,6 +45,15 @@ $VALGRIND ldbsearch '((' uid || exit 1
$VALGRIND ldbsearch '(objectclass=)' uid || exit 1
$VALGRIND ldbsearch -b 'cn=Hampster Ursula,ou=Alumni Association,ou=People,o=University of Michigan,c=TEST' -s base "" sn || exit 1
+echo "Test wildcard match"
+$VALGRIND ldbadd $LDBDIR/tests/test-wildcard.ldif || exit 1
+$VALGRIND ldbsearch '(cn=test*multi)' || exit 1
+$VALGRIND ldbsearch '(cn=*test*multi*)' || exit 1
+$VALGRIND ldbsearch '(cn=*test_multi)' || exit 1
+$VALGRIND ldbsearch '(cn=test_multi*)' || exit 1
+$VALGRIND ldbsearch '(cn=test*multi*test*multi)' || exit 1
+$VALGRIND ldbsearch '(cn=test*multi*test*multi*multi_*)' || exit 1
+
echo "Starting ldbtest indexed"
time $VALGRIND ldbtest --num-records 100 --num-searches 500 || exit 1